<?php

require('WFilterNGF.php');

error_reporting(E_ALL);
date_default_timezone_set('America/New_York');

$ngf = new WFilterNGF();
if( $ngf->login( "http://192.168.1.1", "admin", "123456" )){
	echo "login success.\n";
	
	/* Add IP into a virtual group
	if( $ngf->add_virtual_group( 
		"group1498286802318", 	//Group ID
		"192.168.1.20",		//IP or username
		"60"			//for how long(minutes) to stay in the virtual group
	)){
		echo "add_virtual_group success.\n";
	}
	 */
	/* Remove IP from a virtual group
	if( $ngf->rm_virtual_group( "192.168.1.20" )){ //IP or username
		echo "rm_virtual_group success.\n";
	}
	*/
	/* List network interfaces 
	$result = $ngf->get_network_interfaces();
	echo "interfaces:$result";
	*/
	/* Get interfaces status and statictics
	$result = $ngf->get_network_status();
	 */
	/* List groups
	$result = $ngf->list_group();
	 */
	/* List WFilter accounts
	$result = $ngf->list_account();
	 */
	/* Get bandwidth history of past N seconds
	$result = $ngf->list_bandwidth( 60 );
	 */
	/* List online users.
	$result = $ngf->list_online_users( 1000, "" );
	*/
	/* List online connections of a client
	$result = $ngf->list_online_connections( "192.168.1.20" );
	*/
	/* Terminate connections(kick off user)
	$ngf->kill_connection( "192.168.1.20", "0", "ALL", "5", "hahahaha" );
	*/
	/* Unlock user
	$ngf->kill_connection( "192.168.1.20", "0", "RESET", "", "" );
	*/
	/* connect ip with username
	$ngf->add_user( "192.168.1.20", "bbbbb", "test", "86400" );
	*/
	 
	/* disconnect ip with username 
	$ngf->rm_user( "192.168.1.20" );
	*/
	/* Get webfilter settings 
	$result = $ngf->config_load("wfilter-webfilter");
	echo "config:$result";
	*/
	/* Add a webfilter rule 
	$values = "{\"name\":\"test1\",\"toall\":\"false\",\"utype\":\"range\",\"time\":\"time1\",\"ssl\":\"true\",\"id\":\"rule1534402442628\",\"enabled\":\"true\",\"enable_acl\":\"true\",\"acltype\":\"0\",\"user\":[\"192.168.1.110\"],\"acl\":[\"*.zhuoyigame.*\"],\"enable_cg\":\"false\"}";
	$result = $ngf->config_add( "wfilter-webfilter", "rule", "rule1534402442628", $values );
	echo "config_add:$result";
	*/
	/* Modify a webfilter rule 
	$values = "{\"name\":\"test1\",\"toall\":\"false\",\"utype\":\"range\",\"time\":\"time1\",\"ssl\":\"true\",\"id\":\"rule1534402442628\",\"enabled\":\"true\",\"enable_acl\":\"true\",\"acltype\":\"0\",\"user\":[\"192.168.1.110\"],\"acl\":[\"*.zhuoyigame123.*\"],\"enable_cg\":\"false\"}";
	$result = $ngf->config_set( "wfilter-webfilter",  "rule1534402442628", $values );
	echo "config_add:$result";
	*/
	/* Delete a webfilter rule
	$result = $ngf->config_del( "wfilter-webfilter",  "rule1534402442628" );
	echo "config_add:$result";
	*/
	/* Apply changes 
	$result = $ngf->config_apply();
	echo "config_add:$result";
	*/
	$ngf->logout();
}else{
	echo "login failure.\n";
}

?>

